In Flow on mobile web thanks should not require confirmation step, like on desktop
Closed, DuplicatePublic

Description

On desktop, clicking "Thank" sends thanks immediately, and the link changes to "thanked".

On mobile after tapping "Thank" the page is reloaded and a confirmation screen with a button is shown, and clicking the button reloads the page again and shows another confirmation.

Two reloads just to send thanks is too much. It should work on mobile like on desktop - immediately say "thanked".


See prior discussion about this at T49658: Thanks workflow needs further thought, T71636: Thanks: Implement an undo feature, and T71804: Thanks tool: How much does the confirmation button cost us?.

Amire80 created this task.Feb 14 2015, 8:00 PM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Needs Triage.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2015, 8:00 PM
Mattflaschen-WMF closed this task as Invalid.Feb 15 2015, 12:07 AM
Mattflaschen-WMF claimed this task.

It doesn't send it immediately on desktop anymore either. There is a configuration variable, wgThanksConfirmationRequired, but this is true by default and not overriden on the WMF cluster.

Mattflaschen-WMF set Security to None.

See edited description for relevant other tasks.

Mattflaschen-WMF reopened this task as Open.Feb 15 2015, 8:01 PM

Sorry, I missed the 'Flow' part of this title before.

This seems to be accidental, since the Flow Thanks module does not have a mobile target, so it always uses the no-JS path. Even if $wgThanksConfirmationRequired were false, it would still require that confirmation page.

Note, it does send it immediately for Flow on desktop, but not for non-Flow.

In T89565#1040400, @Mattflaschen wrote:

Sorry, I missed the 'Flow' part of this title before.

:)

In T89565#1040404, @Mattflaschen wrote:

Note, it does send it immediately for Flow on desktop, but not for non-Flow.

Yes. And there definitely should be a way to undo this on Flow, too, like there is "Unlike" on Facebook, but the usual action should be immediate.

EBernhardson renamed this task from In Flow on mobile web thanks should be sent immediately, like on desktop to In Flow on mobile web thanks should require confirmation step, like on desktop.Feb 17 2015, 6:49 PM
EBernhardson renamed this task from In Flow on mobile web thanks should require confirmation step, like on desktop to In Flow on mobile web thanks should not require confirmation step, like on desktop.Feb 17 2015, 6:52 PM
EBernhardson added a subscriber: EBernhardson.

This is almost a bigger task, to normalize the difference between thanking in Flow and thanking Wikitext. The best solution here to keep things normalized might be to finish up the work to make Echo thanks cancelable so nothing needs the confirmation dialog.

We are going to solve this by removing the confirmation step from all thanking actions. But to remove the confirmation step we need to make echo events temporarily cancelable.